package com.example.nto.repository;

import com.example.nto.entity.Employee;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.lang.Nullable;
import org.springframework.stereotype.Repository;

import java.time.LocalDateTime;

@Repository
public interface EmployeeRepository extends JpaRepository<Employee, Long> {
    @Nullable Employee findByLogin(String login);

    @Modifying
    @Query(value = "UPDATE Employee set lastVisit = :localDateTime where login = :login")
    void updateTime(String login, LocalDateTime localDateTime);
}
