package com.example.nto.service.impl;

import com.example.nto.entity.Code;
import com.example.nto.entity.Employee;
import com.example.nto.repository.CodeRepository;
import com.example.nto.repository.EmployeeRepository;
import com.example.nto.service.EmployeeService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.time.LocalDateTime;

@Service
@RequiredArgsConstructor
public class EmployeeServiceImpl implements EmployeeService {
    private final EmployeeRepository employeeRepository;
    private final CodeRepository codeRepository;

    @Override
    public boolean checkExistence(String login) {
        return employeeRepository.findByLogin(login) != null;
    }

    @Override
    public Employee info(String login) {
        return employeeRepository.findByLogin(login);
    }

    @Override
    public Code getCode(Long value) {
        return codeRepository.findByValue(value);
    }

    @Override
    @Transactional
    public void updateTime(String login, LocalDateTime localDateTime) {
        employeeRepository.updateTime(login, localDateTime);
    }
}
